Robot Simulator of the Robotics Group for Self-Organization of Control: AbstractGround Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractGround Class Reference

`#include <abstractground.h>`

Inherits AbstractObstacle.

Inherited by ComplexPlayground, OctaPlayground, and Playground.

Inheritance diagram for AbstractGround:

[legend]
Collaboration diagram for AbstractGround:

[legend]
List of all members.

## Public Member Functions
| AbstractGround (const OdeHandle &odeHandle, const OsgHandle &osgHandle, bool createGround, double groundLength, double groundWidth, double wallThickness)
virtual | ~AbstractGround ()
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual void | createGround (bool create)
virtual void | setTexture (const std::string &filename, double repeatOnX=1, double repeatOnY=1)
| sets texture of walls. Attention, repeats are so far ignored
virtual Primitive * | getMainPrimitive () const
| return the "main" primitive of the obtactle. The meaning of "main" is arbitrary
virtual void | changeGeometry (double length, double width, double height, double factorxy)
virtual void | printContours (FILE *f)
| prints the contour of the boxes into the file
virtual void | setGroundTexture (const std::string &filename)
| assigns the texture to the object
virtual void | setGroundColor (const Color &color)
| sets the ground color should be called before setPosition()
virtual void | setGroundSubstance (const Substance &substance)
| sets the substance of the ground.
virtual std::list< Position > | getCornerPointsXY ()
| returns the corner points of the groundplane
## Protected Member Functions
virtual void | createGround ()
## Protected Attributes
Primitive * | groundPlane
bool | creategroundPlane
double | groundLength
double | groundWidth
double | wallThickness
std::string | wallTextureFileName
Color | groundColor
std::string | groundTextureFileName

## Constructor & Destructor Documentation

AbstractGround | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | bool | createGround,
|  | double | groundLength,
|  | double | groundWidth,
|  | double | wallThickness |
| ) |  |  |

~AbstractGround | ( |  | ) | `[virtual]`

## Member Function Documentation

void changeGeometry | ( | double | length,
|  | double | width,
|  | double | height,
|  | double | factorxy |
| ) |  |  | `[virtual]`

Reimplemented in Playground.

void createGround | ( |  | ) | `[protected, virtual]`

void createGround | ( | bool | create | ) | `[virtual]`

std::list< Position > getCornerPointsXY | ( |  | ) | `[virtual]`

returns the corner points of the groundplane

Returns:
  list of the cornerpoints

Primitive * getMainPrimitive | ( |  | ) | const`[virtual]`

return the "main" primitive of the obtactle. The meaning of "main" is arbitrary

Implements AbstractObstacle.

void printContours | ( | FILE * | f | ) | `[virtual]`

prints the contour of the boxes into the file

void setGroundColor | ( | const Color & | color | ) | `[virtual]`

sets the ground color should be called before setPosition()

Parameters:

  | color | values in RGBA

void setGroundSubstance | ( | const Substance & | substance | ) | `[virtual]`

sets the substance of the ground.

Parameters:

  | substance | description of the substance

void setGroundTexture | ( | const std::string & | filename | ) | `[virtual]`

assigns the texture to the object

void setPose | ( | const osg::Matrix & | pose | ) | `[virtual]`

sets position of the obstacle and creates/recreates obstacle if necessary

Implements AbstractObstacle.

void setTexture | ( | const std::string & | filename,
|  | double | repeatOnX = `1`,
|  | double | repeatOnY = `1` |
| ) |  |  | `[virtual]`

sets texture of walls. Attention, repeats are so far ignored

Reimplemented from AbstractObstacle.

## Member Data Documentation

bool creategroundPlane`[protected]`

Color groundColor`[protected]`

double groundLength`[protected]`

Primitive* groundPlane`[protected]`

std::string groundTextureFileName`[protected]`

double groundWidth`[protected]`

std::string wallTextureFileName`[protected]`

double wallThickness`[protected]`

The documentation for this class was generated from the following files:

- abstractground.h
- abstractground.cpp